package com.ruoyi.system.domain.task.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class TKGridRegionExample implements Serializable {
    private Integer startLimit;
    private Integer endLimit;
    private List<String> matterIds;
    private Date startDate;
    private Date endDate;
    private String matterId;
    private String wgCode;
    private List<String> userIds;
    private List<String> wgCodes;

    private String yearMonthDay;
    private String yearMonth;

    public String getYearMonthDay() {
        return yearMonthDay;
    }

    public void setYearMonthDay(String yearMonthDay) {
        this.yearMonthDay = yearMonthDay;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    private String type;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<String> getWgCodes() {
        return wgCodes;
    }

    public void setWgCodes(List<String> wgCodes) {
        this.wgCodes = wgCodes;
    }

    public List<String> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<String> userIds) {
        this.userIds = userIds;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getMatterId() {
        return matterId;
    }

    public void setMatterId(String matterId) {
        this.matterId = matterId;
    }

    public List<String> getMatterIds() {
        return matterIds;
    }

    public void setMatterIds(List<String> matterIds) {
        this.matterIds = matterIds;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getStartLimit() {
        return startLimit;
    }

    public void setStartLimit(Integer startLimit) {
        this.startLimit = startLimit;
    }

    public Integer getEndLimit() {
        return endLimit;
    }

    public void setEndLimit(Integer endLimit) {
        this.endLimit = endLimit;
    }
}
